Skip to content

List subscriptions

GET
/v2/portal/subscriptions
curl --request GET \
--url https://api.sipstack.com/v2/portal/subscriptions \
--header 'Authorization: Bearer <token>'

Returns the organization’s subscriptions with product details, discounts, and contract info.

Subscription list.

Media type application/json
object
success
boolean
data
Array<object>

Subscription with joined product details (shape evolves with the product).

object
subscription
object
id
string format: uuid
status
string
Allowed values: active trialing past_due paused pending
product
object
id
string format: uuid
name
string
Example
{
"data": [
{
"subscription": {
"id": "b7d4e2f1-3c5a-4e8b-9f0d-1a2b3c4d5e6f",
"status": "active"
},
"product": {
"id": "a1c3e5f7-2b4d-4a6c-8e0f-9d1b3f5a7c9e",
"name": "Flare Growth"
}
}
]
}

Not authenticated.